from django.contrib.auth.backends import ModelBackend
from django.contrib.auth import get_user_model
from django.contrib.auth.models import Permission

UserModel = get_user_model()


class IdentityModelBackend(ModelBackend):

    def _get_role_permissions(self, user_obj):
        user_roles_field = get_user_model()._meta.get_field('roles')
        user_roles_query = 'role__%s' % user_roles_field.related_query_name()
        return Permission.objects.filter(**{user_roles_query: user_obj})

    def get_role_permissions(self, user_obj, obj=None):
        """
        Return a set of permission strings the user `user_obj` has from the
        roles they assigned.
        """
        return self._get_permissions(user_obj, obj, 'role')