from .models import Area, Refrigerator, FrozenFrame


class AreaDefault:

    requires_context = True

    def __call__(self, serializer_field):
        area_id = serializer_field.context['request'].data.get('area_id', None)
        if area_id:
            return Area.objects.get_by_natural_key(area_id)
        else:
            return None

    def __repr__(self):
        return '%s()' % self.__class__.__name__


class SubareaDefault:

    requires_context = True

    def __call__(self, serializer_field):
        area_id = serializer_field.context['request'].data.get('area_id', None)
        if area_id:
            return Area.objects.get_by_natural_key(area_id)
        else:
            return None

    def __repr__(self):
        return '%s()' % self.__class__.__name__


class RefrigeratorDefault:

    requires_context = True

    def __call__(self, serializer_field):
        refrigerator_id = serializer_field.context['request'].data.get('refrigerator_id', None)
        if refrigerator_id:
            return Refrigerator.objects.get_by_natural_key(refrigerator_id)
        else:
            return None

    def __repr__(self):
        return '%s()' % self.__class__.__name__


class FrozenFrameDefault:

    requires_context = True

    def __call__(self, serializer_field):
        frozen_frame_id = serializer_field.context['request'].data.get('frozen_frame_id', None)
        if frozen_frame_id:
            return FrozenFrame.objects.get_by_natural_key(frozen_frame_id)
        else:
            return None

    def __repr__(self):
        return '%s()' % self.__class__.__name__
