import json
import datetime
import requests
import hmac
import base64
from hashlib import sha256
from aliyunsdkcore.client import AcsClient
from aliyunsdknlp_automl.request.v20191111 import GetPredictResultRequest


def signature_generating(method='POST',
                         content_type="application/json",
                         date=None,
                         xcakey="23691082",
                         uri="/artemis/api/visitor/v1/orderless/register"):
    content = "{}\n*/*\n{}\n{}\nx-ca-key:{}\n{}".format(method, content_type, date, xcakey, uri)
    secret = "ZiNB4pwbnWvSj9s2gKTm"
    signature = base64.b64encode(hmac.new(secret.encode('utf8'),
                                          content.encode('utf8'),
                                          digestmod=sha256).digest())
    return signature


def acs(url, uri, xcakey, payload):
    content_type = "application/json"
    date = datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S')
    headers = {
        "Accept": "*/*",
        "Content-Type": content_type,
        "Date": date,
        "x-Ca-Key": xcakey,
        "X-Ca-Signature": signature_generating(date=date,
                                               uri=uri),
        "X-Ca-Signature-Headers": "x-ca-key"
    }
    req = requests.post(url=url, headers=headers, data=json.dumps(payload), verify=False)
    return req.json()


def aliyun_nlp(access_key_id, access_key_secret, endpoint, api_version,
                    region_id, model_id, model_version, content):

    client = AcsClient(access_key_id, access_key_secret, region_id)
    request = GetPredictResultRequest.GetPredictResultRequest()

    request.set_ModelId(model_id)
    request.set_ModelVersion(model_version)
    request.set_endpoint(endpoint)
    request.set_version(api_version)
    request.set_Content(content)
    response = client.do_action_with_exception(request)
    return json.loads(response)