from django.apps import apps
from django.conf import settings
from django.core.exceptions import ObjectDoesNotExist


def init_system_builtin_tag(**kwargs):
    Tag = apps.get_model('data', 'Tag')
    objects = settings.SYSTEM_BUILTIN_TAGGED_OBJECTS
    data = []
    for obj in objects:
        try:
            Tag.objects.get(target_object=obj)
        except ObjectDoesNotExist:
            data.append(Tag(target_object=obj))
    Tag.objects.bulk_create(data)
