# Generated by Django 3.1.3 on 2020-12-01 07:09

from django.db import migrations, models
import django.db.models.deletion
import side.data.managers
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Config',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('project_id', models.CharField(blank=True, max_length=64, null=True, verbose_name='project')),
                ('extras', models.JSONField(blank=True, null=True, verbose_name='extra data')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='date created')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='date updated')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, default=None, editable=False, null=True, verbose_name='date deleted')),
                ('name', models.CharField(help_text='Specifies the config name.', max_length=200, verbose_name='config name')),
                ('tag', models.CharField(max_length=150, unique=True, verbose_name='config tag')),
                ('items', models.JSONField(blank=True, null=True, verbose_name='config items')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
            ],
            options={
                'verbose_name': 'data config',
                'verbose_name_plural': 'data configs',
                'db_table': 'data_configs',
            },
            managers=[
                ('objects', side.data.managers.ConfigManager()),
            ],
        ),
        migrations.CreateModel(
            name='Extra',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('project_id', models.CharField(blank=True, max_length=64, null=True, verbose_name='project')),
                ('tag', models.CharField(max_length=150, verbose_name='tag')),
                ('fields', models.JSONField(blank=True, null=True, verbose_name='field')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='date created')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='date updated')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, default=None, editable=False, null=True, verbose_name='date deleted')),
            ],
            options={
                'verbose_name': 'data extra',
                'verbose_name_plural': 'data extras',
                'db_table': 'data_extras',
            },
        ),
        migrations.CreateModel(
            name='Form',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('project_id', models.CharField(blank=True, max_length=64, null=True, verbose_name='project')),
                ('extras', models.JSONField(blank=True, null=True, verbose_name='extra data')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='date created')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='date updated')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, default=None, editable=False, null=True, verbose_name='date deleted')),
                ('title', models.CharField(blank=True, max_length=200, null=True, verbose_name='title')),
                ('tag', models.CharField(default='default', max_length=200, unique=True, verbose_name='tag')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
                ('fields', models.JSONField(blank=True, null=True, verbose_name='field')),
            ],
            options={
                'verbose_name': 'data form',
                'verbose_name_plural': 'data forms',
                'db_table': 'data_forms',
            },
            managers=[
                ('objects', side.data.managers.FormManager()),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('project_id', models.CharField(blank=True, max_length=64, null=True, verbose_name='project')),
                ('extras', models.JSONField(blank=True, null=True, verbose_name='extra data')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='date created')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='date updated')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, default=None, editable=False, null=True, verbose_name='date deleted')),
                ('key', models.CharField(max_length=150, unique=True, verbose_name='key')),
                ('label', models.CharField(max_length=150, unique=True, verbose_name='label')),
            ],
            options={
                'verbose_name': 'data tag',
                'verbose_name_plural': 'data tags',
                'db_table': 'data_tags',
            },
            managers=[
                ('objects', side.data.managers.TagManager()),
            ],
        ),
        migrations.CreateModel(
            name='Vocab',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('project_id', models.CharField(blank=True, max_length=64, null=True, verbose_name='project')),
                ('extras', models.JSONField(blank=True, null=True, verbose_name='extra data')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='date created')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='date updated')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, default=None, editable=False, null=True, verbose_name='date deleted')),
                ('name', models.CharField(help_text='Specifies the vocab name.', max_length=200, verbose_name='name')),
                ('tag', models.CharField(max_length=150, unique=True, verbose_name='tag')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
            ],
            options={
                'verbose_name': 'data vocab',
                'verbose_name_plural': 'data vocabs',
                'db_table': 'data_vocabs',
            },
            managers=[
                ('objects', side.data.managers.VocabManager()),
            ],
        ),
        migrations.CreateModel(
            name='VocabEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('entry_key', models.CharField(max_length=150, verbose_name='entry key')),
                ('entry_label', models.CharField(max_length=150, verbose_name='entry label')),
                ('entry_links', models.TextField(blank=True, null=True, verbose_name='entry links')),
                ('extras', models.JSONField(blank=True, null=True, verbose_name='extra data')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, default=None, editable=False, null=True)),
                ('vocab_id', models.ForeignKey(db_column='vocab_id', on_delete=django.db.models.deletion.CASCADE, related_name='entries', to='data.vocab')),
            ],
            options={
                'verbose_name': 'data vocab entry',
                'verbose_name_plural': 'data vocab entries',
                'db_table': 'data_vocab_entries',
            },
            managers=[
                ('objects', side.data.managers.EntryManager()),
            ],
        ),
    ]
