from rest_framework.generics import CreateAPIView
from rest_framework.response import Response
from rest_framework.permissions import IsAuthenticated
from rest_framework import status

from .serializers import TagListSerializer, TagBulkDestroySerializer
from .models import Tag


class TagBulkCreateView(CreateAPIView):
    permission_classes = [IsAuthenticated]
    serializer_class = TagListSerializer


class TagBulkDeleteView(CreateAPIView):
    permission_classes = [IsAuthenticated]
    serializer_class = TagBulkDestroySerializer

    @staticmethod
    def delete_tag(tag_id):
        tag = Tag.objects.get_by_natural_key(tag_id)
        if tag:
            tag.delete()

    def post(self, request, *args, **kwargs):
        tag_ids = request.data['tag_ids']
        map(self.delete_tag, tag_ids)
        return Response(status=status.HTTP_204_NO_CONTENT)