from django.apps import AppConfig
from django.db.models.signals import post_migrate
from django.utils.translation import gettext_lazy as _

from side.identity.management import init_project, init_admin, init_role


class IdentityConfig(AppConfig):
    name = 'side.identity'
    verbose_name = _("Identity Management")

    def ready(self):
        post_migrate.connect(init_project, sender=self)
        post_migrate.connect(init_role, sender=self)
        post_migrate.connect(init_admin, sender=self)