from django.apps import apps
from django.contrib.auth import get_user_model
from django.core.exceptions import ObjectDoesNotExist


def init_project(**kwargs):
    Project = apps.get_model('identity', 'Project')
    try:
        Project.objects.get(name='side')
    except ObjectDoesNotExist:
        Project.objects.create(name='side',
                               description='This a project for side',
                               is_active=True)


def init_role(**kwargs):
    Role = apps.get_model('identity', 'Role')
    Permission = apps.get_model('auth', 'Permission')
    try:
        Role.objects.get(name='admin')
    except ObjectDoesNotExist:
        role = Role.objects.create(name='admin')
        role.permissions.set(Permission.objects.all())


def init_admin(**kwargs):
    User = get_user_model()
    try:
        User.objects.get(username='admin', email='fineartit@outlook.com')
    except ObjectDoesNotExist:
        User.objects.create_superuser(username='admin',
                                      email='fineartit@outlook.com',
                                      password='password')