from django.contrib.auth import get_user_model
from django.contrib.auth.models import Permission
from rest_framework import serializers

from side.identity.models import Project
from side.settings import DEFAULT_SERIALIZER_EXCLUDE

User = get_user_model()


class PermissionSerializer(serializers.ModelSerializer):

    class Meta:
        model = Permission()
        fields = ('id', 'name', 'codename', 'content_type')


class UserSerializer(serializers.ModelSerializer):

    class Meta:
        model = User
        exclude = DEFAULT_SERIALIZER_EXCLUDE
        read_only_fields = ['id', 'created_at', 'updated_at', 'last_login', 'date_joined', 'user_permissions']


class ProjectSerializer(serializers.ModelSerializer):

    class Meta:
        model = Project
        exclude = DEFAULT_SERIALIZER_EXCLUDE
        read_only_fields = ['id', 'created_at', 'updated_at']








