from django.urls import path, re_path
from django.conf import settings
from django.views.generic import TemplateView
from dj_rest_auth.views import (LogoutView, PasswordChangeView,
                                PasswordResetConfirmView, PasswordResetView)
from dj_rest_auth.registration.views import VerifyEmailView
from rest_framework_nested import routers

from side.identity.views import LoginView, RegisterView
from side.identity.viewsets import (UserViewSet, PermissionReadOnlyViewSet, ProjectViewSet)

router = routers.SimpleRouter()
# router.register(r'projects', ProjectViewSet)
# router.register(r'users', UserViewSet)
# router.register(r'permissions', PermissionReadOnlyViewSet)

urlpatterns = router.urls

# urlpatterns += [
#     path('registration/', RegisterView.as_view(), name='rest_register'),
#     path('verify-email/', VerifyEmailView.as_view(), name='rest_verify_email'),
#     re_path(r'^account-confirm-email/(?P<key>[-:\w]+)/$', TemplateView.as_view(),
#             name='account_confirm_email'),
#     path('password/reset/', PasswordResetView.as_view(), name='rest_password_reset'),
#     path('password/reset/confirm/', PasswordResetConfirmView.as_view(), name='rest_password_reset_confirm'),
#     path('login/', LoginView.as_view(), name='rest_login'),
#     URLs that require a user to be logged in with a valid session / token.
#     path('logout/', LogoutView.as_view(), name='rest_logout'),
#     path('password/change/', PasswordChangeView.as_view(), name='rest_password_change'),
# ]

if getattr(settings, 'REST_USE_JWT', False):
    from rest_framework_simplejwt.views import (
        TokenObtainPairView, TokenRefreshView, TokenVerifyView,
    )

    urlpatterns += [
        path('token/obtain/', TokenObtainPairView.as_view(), name='token_obtain'),
        path('token/verify/', TokenVerifyView.as_view(), name='token_verify'),
        path('token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    ]