# Generated by Django 3.1.3 on 2020-12-01 07:09

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='APIRequest',
            fields=[
                ('username_persistent', models.CharField(blank=True, max_length=200, null=True)),
                ('requested_at', models.DateTimeField(db_index=True)),
                ('response_ms', models.PositiveIntegerField(default=0)),
                ('path', models.CharField(db_index=True, help_text='url path', max_length=200)),
                ('view', models.CharField(blank=True, db_index=True, help_text='method called by this endpoint', max_length=200, null=True)),
                ('view_method', models.CharField(blank=True, db_index=True, max_length=200, null=True)),
                ('remote_addr', models.GenericIPAddressField()),
                ('host', models.URLField()),
                ('method', models.CharField(max_length=10)),
                ('query_params', models.TextField(blank=True, null=True)),
                ('data', models.TextField(blank=True, null=True)),
                ('response', models.TextField(blank=True, null=True)),
                ('errors', models.TextField(blank=True, null=True)),
                ('status_code', models.PositiveIntegerField(blank=True, db_index=True, null=True)),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('project_id', models.CharField(blank=True, max_length=64, null=True, verbose_name='project')),
                ('project_name', models.CharField(blank=True, max_length=64, null=True, verbose_name='project name')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'monitoring api request',
                'verbose_name_plural': 'monitoring api requests',
                'db_table': 'monitoring_api_requests',
            },
        ),
    ]
