import uuid
from django.db import models
from django.utils.text import gettext_lazy as _
from rest_framework_tracking.base_models import BaseAPIRequestLog


class APIRequest(BaseAPIRequestLog):
    id = models.UUIDField(primary_key=True, default=uuid.uuid4, editable=False)
    project_id = models.CharField(_('project'), max_length=64, blank=True, null=True)
    project_name = models.CharField(_('project name'), max_length=64, blank=True, null=True)

    class Meta:
        db_table = 'monitoring_api_requests'
        verbose_name = _('API Request')
        verbose_name_plural = _('API Requests')