from LAC import LAC
from side.nlp.matchers.regex import RegexMatcher

lac = LAC(mode='lac')


def zh2digit(zh_char):
    mapping = {'零': 0, '一': 1, '二': 2, '三': 3, '四': 4, '五': 5, '六': 6, '七': 7,
               '八': 8, '九': 9}
    return str(mapping.get(zh_char, None))


def ner(text):
    entities = []
    tokens, tags = lac.run(text)
    for k, v in dict(zip(tokens, tags)).items():
        if v == 'PER':
            entities.append({'text': k, 'label': 'PERSON'})
        if v == 'm':
            num_lst = [zh2digit(ele) for ele in k]
            num_str = ''.join(num_lst)
            entities += RegexMatcher.match_chinese_mobile_phone_number(num_str, offset=False)
            entities += RegexMatcher.match_chinese_id_card_number(num_str, offset=False)

    return entities
