from django.conf import settings
from text2vec import Similarity


def search_similarity(source, targets, lang='zh', threshold=0.5, return_all=False):
    result = None
    lst = []
    if lang == 'zh':
        sim = Similarity(w2v_path=settings.W2V_ZH, w2v_kwargs={'binary': True})
        for t in targets:
            score = sim.get_score(source, t)
            if score >= threshold:
                lst.append({'source': source, 'target': t, 'score': score})
    if lst:
        result = sorted(lst, key=lambda t: t['score'], reverse=True)

    if not return_all:
        result = sorted(lst, key=lambda t: t['score'], reverse=True)[0]

    return result
