
def get_model_schema(model_class, serializer_class, exclude_fields=None):
    model_instance = model_class()
    serializer_instance = serializer_class()
    model_dict = model_instance.__dict__
    serializer_dict = serializer_instance.get_fields()
    if exclude_fields:
        for i in exclude_fields:
            serializer_dict.pop(i)

    fields = []
    for k, v in serializer_dict.items():
        field_key = k
        field_required = str(v.required)
        field_type = str(v.__class__.__name__).replace('Field', '').lower()
        field_required = 1 if field_required == "True" else 0
        if field_type == 'choice':
            field_value = [(str(k).lower(), v) for k, v in v.choices.items()]
        else:
            field_value = model_dict.get('k', None)
            field_value = None if not field_value else field_value

        fields.append({
            'field_key': str(field_key).lower(),
            'field_value': field_value,
            'field_required': field_required,
            'field_type': str(field_type).lower(),
            'field_label': str(v.label).lower()})

    return fields
